unit Unit1;

interface

uses
  SysUtils, Types, Classes, QGraphics, QControls, QForms, QDialogs,
  cxSideBar, cxControls, QStdCtrls, QImgList;

type
  TForm1 = class(TForm)
    SideBar: TcxSideBar;
    imagesLarge: TImageList;
    imagesSmall: TImageList;
    SideBarItem1: TcxSideBarItem;
    SideBarItem2: TcxSideBarItem;
    SideBarItem3: TcxSideBarItem;
    SideBarItem4: TcxSideBarItem;
    SideBarItem5: TcxSideBarItem;
    SideBarItem6: TcxSideBarItem;
    SideBarItem7: TcxSideBarItem;
    SideBarItem8: TcxSideBarItem;
    SideBarItem9: TcxSideBarItem;
    SideBarItem10: TcxSideBarItem;
    SideBarGroup1: TcxSideBarGroup;
    SideBarGroup2: TcxSideBarGroup;
    SideBarGroup3: TcxSideBarGroup;
    Button1: TButton;
    Button2: TButton;
    CheckBox1: TCheckBox;
    Button3: TButton;
    Button4: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.xfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  ALink: TcxSideBarLink;

  function ActiveLink: TcxSideBarLink;
  var
    AItem: TcxSideBarItem;
    I: Integer;
  begin
    AItem := SideBar.ActiveItem;
    for I := 0 to SideBar.ActiveGroup.Links.VisibleCount - 1 do
    begin
      Result := SideBar.ActiveGroup.Links.VisibleItems[I];
      if Result.Item = AItem then Exit;
    end;
    if SideBar.ActiveGroup.Links.VisibleCount = 0 then
      Result := nil
    else
      Result := SideBar.ActiveGroup.Links.VisibleItems[0];
  end;

begin
  ALink := ActiveLink;
  if ALink <> nil then ALink.StartEditing;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  SideBar.ActiveGroup.StartEditing;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
const
  LookAndFeels: array[Boolean] of TcxSideBarLookAndFeel =
    (sblfStandard, sblfFlat);
begin
  SideBar.LookAndFeel := LookAndFeels[(Sender as TCheckBox).Checked];
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  SideBar.ActiveGroup.Style := ssSmallImages;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  SideBar.ActiveGroup.Style := ssLargeImages;
end;

end.
